# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Search::TermQuery - Query which matches individual terms.

=head1 SYNOPSIS

    my $term_query = Lucy::Search::TermQuery->new(
        field => 'content',
        term  => 'foo', 
    );
    my $hits = $searcher->hits( query => $term_query );



=head1 DESCRIPTION

TermQuery is a subclass of L<Lucy::Search::Query> for matching
individual terms in a specific field.

=head1 CONSTRUCTORS

=head2 new( I<[labeled params]> )

    my $term_query = Lucy::Search::TermQuery->new(
        field => 'content',    # required
        term  => 'foo',        # required
    );

=over

=item *

B<field> - Field name.

=item *

B<term> - Term text.

=back





=head1 METHODS

=head2 get_field()

Accessor for object's C<< field >> member.

=head2 get_term()

Accessor for object's C<< term >> member.



=head1 INHERITANCE

Lucy::Search::TermQuery isa L<Lucy::Search::Query> isa L<Lucy::Object::Obj>.


=cut

